﻿var ActiveXJS = {
    //ActiveX对象
    ActiveX: undefined,
    //根据类名、标签名 获取所有节点
    GetElementsByClassTag: function (className, tagName) {
        if (document.getElementsByClassName) {
            return document.getElementsByClassName(className);
        }
        else {
            //为了兼容ie8及其以下版本的方法
            var nodes = document.getElementsByTagName(tagName), ret = [];
            for (i = 0; i < nodes.length; i++) {
                if (hasClass(nodes[i], className)) {
                    ret.push(nodes[i]);
                }
            }
            return ret;
        }
    },
    //根据类名、标签名、属性值 获取第一个节点
    GetElementByClassTagAttr: function (className, tagName, AttributeName, AttributeValue) {
        var ret = ActiveXJS.GetElementsByClassTag(className, tagName);
        for (var i = 0; i < ret.length; i++) {
            if (ret[i].getAttribute(AttributeName) == AttributeValue) {
                return ret[i];
            }
        }
        return null;
    },
    //json字符串转json对象
    StringToJson: function (json) {
        return eval('(' + json + ')');
    },
    //右下角信息提示插件对象
    MessageObject: {
        MessageType: { 通知: "通知", 错误: "错误", 警告: "警告", 疑问: "疑问", 通过: "通过", 自定义: "自定义" }, //右下角提示信息类型
        ColorEmpty: ""//空颜色值
    }
};

window.onload = function () {
    ActiveXJS.ActiveX = document.getElementById("ActiveXControlObject"); //初始化插件对象
};
